GpgFrontend::GpgData Class Reference
Collaboration diagram for GpgFrontend::GpgData:

## Classes

struct | _data_ref_deleter

## Public Member Functions

| GpgData ()
| Construct a new Gpg Data object. More...
| GpgData (void *buffer, size_t size, bool copy=true)
| Construct a new Gpg Data object. More...
| operator gpgme_data_t ()
ByteArrayPtr | Read2Buffer ()

## Private Attributes

std::unique_ptr< struct gpgme_data, _data_ref_deleter > | data_ref_

## Constructor & Destructor Documentation

## GpgData() [1/2]

GpgFrontend::GpgData::GpgData | ( |  | ) |

Construct a new Gpg Data object.

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

## GpgData() [2/2]

GpgFrontend::GpgData::GpgData | ( | void * | buffer,
|  | size_t | size,
|  | bool | copy = `true`
| ) |  |

Construct a new Gpg Data object.

Parameters

  buffer |
  size |
  copy |

## Member Function Documentation

## operator gpgme_data_t()

GpgFrontend::GpgData::operator gpgme_data_t | ( |  | ) |

Returns
  gpgme_data_t

## Read2Buffer()

GpgFrontend::ByteArrayPtr GpgFrontend::GpgData::Read2Buffer | ( |  | ) |

Returns
  ByteArrayPtr

Referenced by GpgFrontend::GpgBasicOperator::Decrypt(), GpgFrontend::GpgBasicOperator::DecryptVerify(), GpgFrontend::GpgBasicOperator::Encrypt(), GpgFrontend::GpgBasicOperator::EncryptSign(), GpgFrontend::GpgBasicOperator::EncryptSymmetric(), GpgFrontend::GpgKeyImportExporter::ExportKey(), GpgFrontend::GpgKeyImportExporter::ExportKeyOpenSSH(), GpgFrontend::GpgKeyImportExporter::ExportKeys(), GpgFrontend::GpgKeyImportExporter::ExportSecretKey(), GpgFrontend::GpgKeyImportExporter::ExportSecretKeyShortest(), and GpgFrontend::GpgBasicOperator::Sign().

## Member Data Documentation

## data_ref_

std::unique_ptr<struct gpgme_data, _data_ref_deleter> GpgFrontend::GpgData::data_ref_

private

Initial value:
=
nullptr

The documentation for this class was generated from the following files:

- src/core/model/GpgData.h
- src/core/model/GpgData.cpp